;
;        Copyright (c) 2005 AileronOS developers group
;        All rights reserved
;        See eula.txt for more information
;
;    File:
;
;        sysldr\gdt.asm
;
;    Abstract:
;
;        Global descriptors table
;
;    Created:
;
;        Vlad Maslakov, 2005
;

format coff

include "include\gdt.inc"
include "include\macros.inc"

section ".data" data


gdt:
	dq	0           ; null descriptor. Not used

        ; CODE SEGMENT
	db	0xFF        ; segment limit 15:00 = 0xFFFF
	db	0xFF
	db	0x00        ; segment base 15:00 = 0x0000
	db	0x00
	db	0x00        ; segment base 23:16 = 0x00
	db	10011010b   ; P=1, DPL=0, Type=(code,execute)
	db	11001111b   ; G=4K, D/B=32 bit, AVL=0, Lim 19:16=F
	db	0x00        ; segment base 31:24 = 0x00

        ; DATA SEGMENT
	db	0xFF        ; segment limit 15:00 = 0xFFFF
	db	0xFF
	db	0x00        ; segment base 15:00 = 0x0000
	db	0x00
	db	0x00        ; segment base 23:16 = 0x00
	db	10010010b   ; P=1, DPL=0, Type=(data,read/write)
	db	11001111b   ; G=4K, D/B=32 bit, AVL=0, Lim 19:16=F
   	db	0x00        ; segment base 31:24 = 0x00

gdtr:               ; GDT descriptor definition
gdt_size:	dw 8*3-1
gdt_addr:	dd gdt
